<?php
require "login/loginheader.php";
require "retornaCpf.php";
include "catchAuthors.php";

$server = "localhost";
$user = "root";
$pass = "";
$db = "poisson_area";
$connect = mysqli_connect($server,$user,$pass,$db);

$mysqli->set_charset("utf8");

if(mysqli_connect_errno()){
    die("Conexão falhou: ".mysqli_connect_errno());
}

if (isset($_POST['submit'])){

  $fileNameToValidate = $_FILES['file']['name'];  

    $fileExt = explode('.',$fileNameToValidate);
    $fileActualExt = strtolower(end($fileExt));
    $fileError = $_FILES['file']['error'];
    $fileSize = $_FILES['file']['size'];

    $allowed = array('doc','docx','pdf');

    if (in_array($fileActualExt,$allowed)) {
      if ($fileError === 0) {
        
        $file = $_FILES['file'];
        $filePath = "uploads/" . $file['name'];
        $fileName = $_FILES['file']['name'];
        $nomeArt = $_POST['nomeArtigo'];
        move_uploaded_file($file['tmp_name'], $filePath);

        $sql = "INSERT INTO myblob VALUES ('','$nomeArt','$fileName','$filePath','$cpf',";

        for($i=1; $i<=15;$i++) {
          if(!empty($autores[$i])){
            $sql .= "'".$autores[$i]."'".",";
            $sql .= "'".$cpfAutores[$i]."'".",";
            $sql .= "'".$miniAutores[$i]."'".",";
            $sql .= "'".$emailAutores[$i]."'".",";
          }else{
            $sql .= "'',";
            $sql .= "'',";
            $sql .= "'',";
            $sql .= "'',";
          }
        }

        $sql = rtrim($sql,",");
        $sql.=", NOW());";

        $result = mysqli_query($connect,$sql);

        if($result == true) {
          header("location: ./pages/articleSuccess.php");
        } else {
          ?>
          <script>window.alert(
            "Desculpe, ocorreu um erro ao registrar. Tente novamente e, caso o erro persista, entre em contato conosco."
          )
          window.history.back();
          </script>
          <?php
        }

        ?><script>
          $('#msg-submissao-hidden').addClass("msg-submissao-show");
        </script>
        <?php
        
      } else{
        ?><script>window.alert("Aconteceu um erro ao tentar carregar o arquivo, por favor, tente novamente.")</script>
        <?php
      }
    } else {
      echo "Verifique se seu arquivo é do tipo doc ou docx (word).";
    }
  }

?>